langcode: en
status: open
dependencies:
  enforced:
    module:
      - webform_test
open: null
close: null
uid: null
template: false
id: test_element_range
title: 'Test: Element: Range'
description: 'Test the range element.'
category: 'Test: Element'
elements: |
  range:
    '#type': range
    '#title': range
  range_advanced:
    '#type': range
    '#title': range_advanced
    '#min': -100
    '#max': 100
    '#step': 1
    '#field_prefix': -100
    '#field_suffix': 100
    '#attributes':
      style: 'width: 400px'
  range_output_above:
    '#type': range
    '#title': range_output_above
    '#title_display': inline
    '#output': above
  range_output_below:
    '#type': range
    '#title': range_output_below
    '#attributes':
      style: 'width: 500px'
    '#output': below
    '#output__field_prefix': '$'
    '#output__field_suffix': '.00'
    '#output__attributes':
      style: 'background-color: yellow'
  range_output_right:
    '#type': range
    '#title': range_output_right
    '#output': right
  range_output_left:
    '#type': range
    '#title': range_output_left
    '#min': 0
    '#max': 10000
    '#step': 100
    '#field_prefix': '$0.00'
    '#field_suffix': '$10,000'
    '#output': left
    '#output__field_prefix': '$'
    '#output__field_suffix': '.00'
    '#output__attributes':
      style: 'background-color: yellow'
  range_output_disabled:
    '#type': range
    '#title': range_output_disabled
    '#disabled': true
    '#min': '0'
    '#max': '100'
    '#step': '1'
    '#output': right
    '#output__field_prefix': $
    '#output__field_suffix': '.00'
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: form
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  form_submit_once: false
  form_exception_message: ''
  form_open_message: ''
  form_close_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_reset: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: false
  form_unsaved: false
  form_disable_back: false
  form_submit_back: false
  form_autofocus: false
  form_details_toggle: false
  form_login: false
  form_login_message: ''
  submission_label: ''
  submission_log: false
  submission_user_columns: {  }
  submission_login: false
  submission_login_message: ''
  submission_exception_message: ''
  submission_locked_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_start_label: ''
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_track: ''
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  confirmation_type: message
  confirmation_title: ''
  confirmation_message: ''
  confirmation_url: ''
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  token_update: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
handlers:
  debug:
    id: debug
    label: Debug
    handler_id: debug
    status: true
    conditions: {  }
    weight: 1
    settings: {  }
